## org.mozilla.javascript
Class InterfaceAdapter

    java.lang.Object
      org.mozilla.javascript.InterfaceAdapter

    public class InterfaceAdapter

extends java.lang.Object

Adapter to use JS function as implementation of Java interfaces with single method or multiple methods with the same signature.

Method Summary
`java.lang.Object` `invoke(ContextFactory cf, java.lang.Object target, Scriptable topScope, java.lang.reflect.Method method, java.lang.Object[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### invoke

    public java.lang.Object invoke(ContextFactory cf,
                                   java.lang.Object target,
                                   Scriptable topScope,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] args)